### Function

# AppStream FormatVersion from_string

since: 0.10.0

#### Declaration [src]

    AsFormatVersion
    as_format_version_from_string (
      const gchar* version_str
    )

#### Description [src]

Converts the text representation to an enumerated value.

Available since: 0.10.0

#### Parameters

`version_str`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsFormatVersion`

A `AsFormatVersion`. For unknown, the highest version number is assumed.